diff --git a/src/responder/ssh/sshsrv_cmd.c b/src/responder/ssh/sshsrv_cmd.c
index efa4513..ff7afd4 100644
--- a/src/responder/ssh/sshsrv_cmd.c
+++ b/src/responder/ssh/sshsrv_cmd.c
@@ -62,8 +62,8 @@ sss_ssh_cmd_get_user_pubkeys(struct cli_ctx *cctx)
     }
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Requesting SSH user public keys for [%s] from [%s]\n",
-           cmd_ctx->name, cmd_ctx->domname ? cmd_ctx->domname : "<ALL>"));
+          "Requesting SSH user public keys for [%s] from [%s]\n",
+           cmd_ctx->name, cmd_ctx->domname ? cmd_ctx->domname : "<ALL>");
 
     if (strcmp(cmd_ctx->name, "root") == 0) {
         ret = ENOENT;
@@ -112,9 +112,9 @@ sss_ssh_cmd_get_host_pubkeys(struct cli_ctx *cctx)
     }
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Requesting SSH host public keys for [%s][%s] from [%s]\n",
+          "Requesting SSH host public keys for [%s][%s] from [%s]\n",
            cmd_ctx->name, cmd_ctx->alias ? cmd_ctx->alias : "",
-           cmd_ctx->domname ? cmd_ctx->domname : "<ALL>"));
+           cmd_ctx->domname ? cmd_ctx->domname : "<ALL>");
 
     if (cmd_ctx->domname) {
         cmd_ctx->domain = responder_get_domain(cctx->rctx, cmd_ctx->domname);
@@ -150,7 +150,7 @@ ssh_dp_send_req_done(struct tevent_req *req)
     talloc_zfree(req);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Fatal error, killing connection!\n"));
+              "Fatal error, killing connection!\n");
         talloc_free(cb_ctx->cctx);
         return;
     }
@@ -180,7 +180,7 @@ ssh_user_pubkeys_search(struct ssh_cmd_ctx *cmd_ctx)
 
     if (!cmd_ctx->domain) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("No matching domain found for [%s], fail!\n", cmd_ctx->name));
+              "No matching domain found for [%s], fail!\n", cmd_ctx->name);
         return ENOENT;
     }
 
@@ -191,7 +191,7 @@ ssh_user_pubkeys_search(struct ssh_cmd_ctx *cmd_ctx)
                                       cmd_ctx->name, 0, NULL);
         if (!req) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Out of memory sending data provider request\n"));
+                  "Out of memory sending data provider request\n");
             return ENOMEM;
         }
 
@@ -224,13 +224,13 @@ ssh_user_pubkeys_search_next(struct ssh_cmd_ctx *cmd_ctx)
     struct ldb_result *res;
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Requesting SSH user public keys for [%s@%s]\n",
-           cmd_ctx->name, cmd_ctx->domain->name));
+          "Requesting SSH user public keys for [%s@%s]\n",
+           cmd_ctx->name, cmd_ctx->domain->name);
 
     sysdb = cmd_ctx->domain->sysdb;
     if (sysdb == NULL) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Fatal: Sysdb CTX not found for this domain!\n"));
+              "Fatal: Sysdb CTX not found for this domain!\n");
         return EFAULT;
     }
 
@@ -238,14 +238,14 @@ ssh_user_pubkeys_search_next(struct ssh_cmd_ctx *cmd_ctx)
                               cmd_ctx->name, attrs, &res);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Failed to make request to our cache!\n"));
+              "Failed to make request to our cache!\n");
         return EIO;
     }
 
     if (res->count > 1) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-            ("User search by name (%s) returned > 1 results!\n",
-             cmd_ctx->name));
+            "User search by name (%s) returned > 1 results!\n",
+             cmd_ctx->name);
         return EINVAL;
     }
 
@@ -257,7 +257,7 @@ ssh_user_pubkeys_search_next(struct ssh_cmd_ctx *cmd_ctx)
         }
 
         DEBUG(SSSDBG_OP_FAILURE,
-              ("No attributes for user [%s] found.\n", cmd_ctx->name));
+              "No attributes for user [%s] found.\n", cmd_ctx->name);
 
         return ENOENT;
     }
@@ -279,9 +279,9 @@ ssh_user_pubkeys_search_dp_callback(uint16_t err_maj,
 
     if (err_maj) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Unable to get information from Data Provider\n"
+              "Unable to get information from Data Provider\n"
                "Error: %u, %u, %s\n",
-               (unsigned int)err_maj, (unsigned int)err_min, err_msg));
+               (unsigned int)err_maj, (unsigned int)err_min, err_msg);
     }
 
     ret = ssh_user_pubkeys_search_next(cmd_ctx);
@@ -304,7 +304,7 @@ ssh_host_pubkeys_search(struct ssh_cmd_ctx *cmd_ctx)
 
     if (!cmd_ctx->domain) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("No matching domain found for [%s], fail!\n", cmd_ctx->name));
+              "No matching domain found for [%s], fail!\n", cmd_ctx->name);
         return ENOENT;
     }
 
@@ -315,7 +315,7 @@ ssh_host_pubkeys_search(struct ssh_cmd_ctx *cmd_ctx)
                                        cmd_ctx->name, cmd_ctx->alias);
         if (!req) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Out of memory sending data provider request\n"));
+                  "Out of memory sending data provider request\n");
             return ENOMEM;
         }
 
@@ -347,13 +347,13 @@ ssh_host_pubkeys_search_next(struct ssh_cmd_ctx *cmd_ctx)
     const char *attrs[] = { SYSDB_NAME, SYSDB_SSH_PUBKEY, NULL };
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Requesting SSH host public keys for [%s@%s]\n",
-           cmd_ctx->name, cmd_ctx->domain->name));
+          "Requesting SSH host public keys for [%s@%s]\n",
+           cmd_ctx->name, cmd_ctx->domain->name);
 
     sysdb = cmd_ctx->domain->sysdb;
     if (sysdb == NULL) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Fatal: Sysdb CTX not found for this domain!\n"));
+              "Fatal: Sysdb CTX not found for this domain!\n");
         return EFAULT;
     }
 
@@ -361,7 +361,7 @@ ssh_host_pubkeys_search_next(struct ssh_cmd_ctx *cmd_ctx)
                              cmd_ctx->name, attrs, &cmd_ctx->result);
     if (ret != EOK && ret != ENOENT) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Failed to make request to our cache!\n"));
+              "Failed to make request to our cache!\n");
         return EIO;
     }
 
@@ -373,7 +373,7 @@ ssh_host_pubkeys_search_next(struct ssh_cmd_ctx *cmd_ctx)
         }
 
         DEBUG(SSSDBG_OP_FAILURE,
-              ("No attributes for host [%s] found.\n", cmd_ctx->name));
+              "No attributes for host [%s] found.\n", cmd_ctx->name);
 
         return ENOENT;
     }
@@ -392,9 +392,9 @@ ssh_host_pubkeys_search_dp_callback(uint16_t err_maj,
 
     if (err_maj) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Unable to get information from Data Provider\n"
+              "Unable to get information from Data Provider\n"
                "Error: %u, %u, %s\n",
-               (unsigned int)err_maj, (unsigned int)err_min, err_msg));
+               (unsigned int)err_maj, (unsigned int)err_min, err_msg);
     }
 
     ret = ssh_host_pubkeys_search_next(cmd_ctx);
@@ -495,8 +495,8 @@ ssh_host_pubkeys_format_known_host_hashed(TALLOC_CTX *mem_ctx,
                                 hash);
             if (ret != EOK) {
                 DEBUG(SSSDBG_OP_FAILURE,
-                      ("sss_hmac_sha1() failed (%d): %s\n",
-                       ret, strerror(ret)));
+                      "sss_hmac_sha1() failed (%d): %s\n",
+                       ret, strerror(ret));
                 result = NULL;
                 goto done;
             }
@@ -594,7 +594,7 @@ ssh_host_pubkeys_update_known_hosts(struct ssh_cmd_ctx *cmd_ctx)
         sysdb = dom->sysdb;
         if (sysdb == NULL) {
             DEBUG(SSSDBG_FATAL_FAILURE,
-                  ("Fatal: Sysdb CTX not found for this domain!\n"));
+                  "Fatal: Sysdb CTX not found for this domain!\n");
             ret = EFAULT;
             goto done;
         }
@@ -604,7 +604,7 @@ ssh_host_pubkeys_update_known_hosts(struct ssh_cmd_ctx *cmd_ctx)
         if (ret != EOK) {
             if (ret != ENOENT) {
                 DEBUG(SSSDBG_OP_FAILURE,
-                      ("Host search failed for domain [%s]\n", dom->name));
+                      "Host search failed for domain [%s]\n", dom->name);
             }
             continue;
         }
@@ -613,7 +613,7 @@ ssh_host_pubkeys_update_known_hosts(struct ssh_cmd_ctx *cmd_ctx)
             ret = sss_ssh_make_ent(tmp_ctx, hosts[i], &ent);
             if (ret != EOK) {
                 DEBUG(SSSDBG_OP_FAILURE,
-                      ("Failed to get SSH host public keys\n"));
+                      "Failed to get SSH host public keys\n");
                 continue;
             }
 
@@ -624,8 +624,8 @@ ssh_host_pubkeys_update_known_hosts(struct ssh_cmd_ctx *cmd_ctx)
             }
             if (!entstr) {
                 DEBUG(SSSDBG_OP_FAILURE,
-                      ("Failed to format known_hosts data for [%s]\n",
-                       ent->name));
+                      "Failed to format known_hosts data for [%s]\n",
+                       ent->name);
                 continue;
             }
 
@@ -685,20 +685,20 @@ ssh_cmd_parse_request(struct ssh_cmd_ctx *cmd_ctx)
 
     SAFEALIGN_COPY_UINT32_CHECK(&flags, body+c, body_len, &c);
     if (flags & ~(uint32_t)SSS_SSH_REQ_MASK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Invalid flags received [0x%x]\n", flags));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Invalid flags received [0x%x]\n", flags);
         return EINVAL;
     }
 
     SAFEALIGN_COPY_UINT32_CHECK(&name_len, body+c, body_len, &c);
     if (name_len == 0 || name_len > body_len - c) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Invalid name length\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Invalid name length\n");
         return EINVAL;
     }
 
     name = (char *)(body+c);
     if (!sss_utf8_check((const uint8_t *)name, name_len-1) ||
             name[name_len-1] != 0) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Name is not valid UTF-8 string\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Name is not valid UTF-8 string\n");
         return EINVAL;
     }
     c += name_len;
@@ -706,14 +706,14 @@ ssh_cmd_parse_request(struct ssh_cmd_ctx *cmd_ctx)
     if (flags & SSS_SSH_REQ_ALIAS) {
         SAFEALIGN_COPY_UINT32_CHECK(&alias_len, body+c, body_len, &c);
         if (alias_len == 0 || alias_len > body_len - c) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Invalid alias length\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Invalid alias length\n");
             return EINVAL;
         }
 
         alias = (char *)(body+c);
         if (!sss_utf8_check((const uint8_t *)alias, alias_len-1) ||
                 alias[alias_len-1] != 0) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Alias is not valid UTF-8 string\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Alias is not valid UTF-8 string\n");
             return EINVAL;
         }
         c += alias_len;
@@ -723,7 +723,7 @@ ssh_cmd_parse_request(struct ssh_cmd_ctx *cmd_ctx)
         SAFEALIGN_COPY_UINT32_CHECK(&domain_len, body+c, body_len, &c);
         if (domain_len > 0) {
             if (domain_len > body_len - c) {
-                DEBUG(SSSDBG_CRIT_FAILURE, ("Invalid domain length\n"));
+                DEBUG(SSSDBG_CRIT_FAILURE, "Invalid domain length\n");
                 return EINVAL;
             }
 
@@ -731,21 +731,21 @@ ssh_cmd_parse_request(struct ssh_cmd_ctx *cmd_ctx)
             if (!sss_utf8_check((const uint8_t *)domain, domain_len-1) ||
                     domain[domain_len-1] != 0) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("Domain is not valid UTF-8 string\n"));
+                      "Domain is not valid UTF-8 string\n");
                 return EINVAL;
             }
             c += domain_len;
         }
 
         DEBUG(SSSDBG_TRACE_FUNC,
-              ("Requested domain [%s]\n", domain ? domain : "<ALL>"));
+              "Requested domain [%s]\n", domain ? domain : "<ALL>");
     } else {
-        DEBUG(SSSDBG_TRACE_FUNC, ("Splitting domain from name [%s]\n", name));
+        DEBUG(SSSDBG_TRACE_FUNC, "Splitting domain from name [%s]\n", name);
 
         ret = sss_parse_name(cmd_ctx, ssh_ctx->snctx, name,
                              &cmd_ctx->domname, &cmd_ctx->name);
         if (ret != EOK) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Invalid name received [%s]\n", name));
+            DEBUG(SSSDBG_OP_FAILURE, "Invalid name received [%s]\n", name);
             return ENOENT;
         }
 
@@ -754,7 +754,7 @@ ssh_cmd_parse_request(struct ssh_cmd_ctx *cmd_ctx)
 
     if (cmd_ctx->is_user && cmd_ctx->domname == NULL) {
         DEBUG(SSSDBG_TRACE_FUNC,
-              ("Parsing name [%s][%s]\n", name, domain ? domain : "<ALL>"));
+              "Parsing name [%s][%s]\n", name, domain ? domain : "<ALL>");
 
         ret = sss_parse_name_for_domains(cmd_ctx, cctx->rctx->domains,
                                          domain, name,
@@ -762,7 +762,7 @@ ssh_cmd_parse_request(struct ssh_cmd_ctx *cmd_ctx)
                                          &cmd_ctx->name);
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("Invalid name received [%s]\n", name));
+                  "Invalid name received [%s]\n", name);
             return ENOENT;
         }
     } else {
@@ -830,8 +830,8 @@ ssh_cmd_build_reply(struct ssh_cmd_ctx *cmd_ctx)
     name = ldb_msg_find_attr_as_string(cmd_ctx->result, SYSDB_NAME, NULL);
     if (!name) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Got unnamed result for [%s@%s]\n",
-               cmd_ctx->name, cmd_ctx->domain->name));
+              "Got unnamed result for [%s@%s]\n",
+               cmd_ctx->name, cmd_ctx->domain->name);
         return ENOENT;
     }
 
@@ -928,7 +928,7 @@ ssh_cmd_done(struct ssh_cmd_ctx *cmd_ctx,
     }
 
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Fatal error, killing connection!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Fatal error, killing connection!\n");
         talloc_free(cmd_ctx->cctx);
         return EFAULT;
     }
diff --git a/src/responder/ssh/sshsrv_dp.c b/src/responder/ssh/sshsrv_dp.c
index 812e0c7..7ba65b1 100644
--- a/src/responder/ssh/sshsrv_dp.c
+++ b/src/responder/ssh/sshsrv_dp.c
@@ -86,8 +86,8 @@ sss_dp_get_ssh_host_send(TALLOC_CTX *mem_ctx,
     talloc_free(key);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Could not issue DP request [%d]: %s\n",
-               ret, strerror(ret)));
+              "Could not issue DP request [%d]: %s\n",
+               ret, strerror(ret));
         goto error;
     }
 
@@ -120,7 +120,7 @@ sss_dp_get_ssh_host_msg(void *pvt)
         filter = talloc_asprintf(info, "name=%s", info->name);
     }
     if (!filter) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory?!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory?!\n");
         return NULL;
     }
 
@@ -129,15 +129,15 @@ sss_dp_get_ssh_host_msg(void *pvt)
                                        DP_INTERFACE,
                                        DP_METHOD_HOSTHANDLER);
     if (msg == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory?!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory?!\n");
         talloc_free(filter);
         return NULL;
     }
 
     /* create the message */
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Creating SSH host request for [%s][%u][%s]\n",
-           info->dom->name, be_type, filter));
+          "Creating SSH host request for [%s][%u][%s]\n",
+           info->dom->name, be_type, filter);
 
     dbret = dbus_message_append_args(msg,
                                      DBUS_TYPE_UINT32, &be_type,
@@ -145,7 +145,7 @@ sss_dp_get_ssh_host_msg(void *pvt)
                                      DBUS_TYPE_INVALID);
     talloc_free(filter);
     if (!dbret) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to build message\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to build message\n");
         dbus_message_unref(msg);
         return NULL;
     }
diff --git a/src/responder/sudo/sudosrv.c b/src/responder/sudo/sudosrv.c
index e6bd997..b821c96 100644
--- a/src/responder/sudo/sudosrv.c
+++ b/src/responder/sudo/sudosrv.c
@@ -64,7 +64,7 @@ static void sudo_dp_reconnect_init(struct sbus_connection *conn,
 
     /* Did we reconnect successfully? */
     if (status == SBUS_RECONNECT_SUCCESS) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("Reconnected to the Data Provider.\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "Reconnected to the Data Provider.\n");
 
         /* Identify ourselves to the data provider */
         ret = dp_common_send_id(be_conn->conn,
@@ -78,8 +78,8 @@ static void sudo_dp_reconnect_init(struct sbus_connection *conn,
     }
 
     /* Failed to reconnect */
-    DEBUG(SSSDBG_FATAL_FAILURE, ("Could not reconnect to %s provider.\n",
-                                 be_conn->domain->name));
+    DEBUG(SSSDBG_FATAL_FAILURE, "Could not reconnect to %s provider.\n",
+                                 be_conn->domain->name);
 }
 
 int sudo_process_init(TALLOC_CTX *mem_ctx,
@@ -105,13 +105,13 @@ int sudo_process_init(TALLOC_CTX *mem_ctx,
                            &sudo_dp_interface,
                            &rctx);
     if (ret != EOK) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("sss_process_init() failed\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "sss_process_init() failed\n");
         return ret;
     }
 
     sudo_ctx = talloc_zero(rctx, struct sudo_ctx);
     if (!sudo_ctx) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("fatal error initializing sudo_ctx\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "fatal error initializing sudo_ctx\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -126,7 +126,7 @@ int sudo_process_init(TALLOC_CTX *mem_ctx,
                          3, &max_retries);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Failed to set up automatic reconnection\n"));
+              "Failed to set up automatic reconnection\n");
         goto fail;
     }
 
@@ -143,18 +143,18 @@ int sudo_process_init(TALLOC_CTX *mem_ctx,
                           CONFDB_DEFAULT_SUDO_TIMED,
                           &sudo_ctx->timed);
     if (ret != EOK) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("Error reading from confdb (%d) [%s]\n",
-              ret, strerror(ret)));
+        DEBUG(SSSDBG_FATAL_FAILURE, "Error reading from confdb (%d) [%s]\n",
+              ret, strerror(ret));
         goto fail;
     }
 
     ret = schedule_get_domains_task(rctx, rctx->ev, rctx);
     if (ret != EOK) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("schedule_get_domains_tasks failed.\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "schedule_get_domains_tasks failed.\n");
         goto fail;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("SUDO Initialization complete\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "SUDO Initialization complete\n");
 
     return EOK;
 
@@ -205,8 +205,8 @@ int main(int argc, const char *argv[])
     ret = die_if_parent_died();
     if (ret != EOK) {
         /* This is not fatal, don't return */
-        DEBUG(SSSDBG_OP_FAILURE, ("Could not set up to exit "
-                                  "when parent process does\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Could not set up to exit "
+                                  "when parent process does\n");
     }
 
     ret = sudo_process_init(main_ctx,
diff --git a/src/responder/sudo/sudosrv_cmd.c b/src/responder/sudo/sudosrv_cmd.c
index 8f07e8b..fd8c46d 100644
--- a/src/responder/sudo/sudosrv_cmd.c
+++ b/src/responder/sudo/sudosrv_cmd.c
@@ -47,15 +47,15 @@ static errno_t sudosrv_cmd_send_reply(struct sudo_cmd_ctx *cmd_ctx,
                          &cli_ctx->creq->out);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Unable to create a new packet [%d]; %s\n",
-               ret, strerror(ret)));
+              "Unable to create a new packet [%d]; %s\n",
+               ret, strerror(ret));
         goto done;
     }
 
     ret = sss_packet_grow(cli_ctx->creq->out, response_len);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Unable to create response: %s\n", strerror(ret)));
+              "Unable to create response: %s\n", strerror(ret));
         goto done;
     }
     sss_packet_get_body(cli_ctx->creq->out, &packet_body, &packet_len);
@@ -80,8 +80,8 @@ static errno_t sudosrv_cmd_send_error(TALLOC_CTX *mem_ctx,
     int ret = EOK;
 
     if (error == EOK) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Everything is fine but we are "
-              "returning error?\n"));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Everything is fine but we are "
+              "returning error?\n");
         return EFAULT;
     }
 
@@ -109,8 +109,8 @@ errno_t sudosrv_cmd_done(struct sudo_cmd_ctx *cmd_ctx, int ret)
         if (cmd_ctx->sudo_ctx->timed) {
             /* filter rules by time */
 
-            DEBUG(SSSDBG_TRACE_FUNC, ("Applying time restrictions on"
-                                      "%u rules\n", cmd_ctx->num_rules));
+            DEBUG(SSSDBG_TRACE_FUNC, "Applying time restrictions on"
+                                      "%u rules\n", cmd_ctx->num_rules);
 
             ret = sysdb_sudo_filter_rules_by_time(cmd_ctx, cmd_ctx->num_rules,
                                                   cmd_ctx->rules, 0,
@@ -119,8 +119,8 @@ errno_t sudosrv_cmd_done(struct sudo_cmd_ctx *cmd_ctx, int ret)
                 return EFAULT;
             }
 
-            DEBUG(SSSDBG_TRACE_FUNC, ("Got %u rules after time filter\n",
-                                      num_rules));
+            DEBUG(SSSDBG_TRACE_FUNC, "Got %u rules after time filter\n",
+                                      num_rules);
         }
 
         /* send result */
@@ -155,7 +155,7 @@ errno_t sudosrv_cmd_done(struct sudo_cmd_ctx *cmd_ctx, int ret)
     }
 
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Fatal error, killing connection!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Fatal error, killing connection!\n");
         talloc_free(cmd_ctx->cli_ctx);
         return EFAULT;
     }
@@ -179,7 +179,7 @@ static int sudosrv_cmd(enum sss_sudo_type type, struct cli_ctx *cli_ctx)
     cmd_ctx = talloc_zero(cli_ctx, struct sudo_cmd_ctx);
     if (cmd_ctx == NULL) {
         /* kill the connection here as we have no context for reply */
-        DEBUG(SSSDBG_FATAL_FAILURE, ("Out of memory?\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "Out of memory?\n");
         return ENOMEM;
     }
 
@@ -188,25 +188,25 @@ static int sudosrv_cmd(enum sss_sudo_type type, struct cli_ctx *cli_ctx)
     cmd_ctx->type = type;
     cmd_ctx->sudo_ctx = talloc_get_type(cli_ctx->rctx->pvt_ctx, struct sudo_ctx);
     if (cmd_ctx->sudo_ctx == NULL) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("sudo_ctx not set, killing connection!\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "sudo_ctx not set, killing connection!\n");
         return EFAULT;
     }
 
     /* if protocol is invalid return */
     switch (protocol) {
     case 0:
-        DEBUG(SSSDBG_FATAL_FAILURE, ("Protocol [%d] is not secure. "
-              "SSSD does not allow to use this protocol.\n", protocol));
+        DEBUG(SSSDBG_FATAL_FAILURE, "Protocol [%d] is not secure. "
+              "SSSD does not allow to use this protocol.\n", protocol);
         ret = EFAULT;
         goto done;
         break;
     case SSS_SUDO_PROTOCOL_VERSION:
-        DEBUG(SSSDBG_TRACE_INTERNAL, ("Using protocol version [%d]\n",
-                                      protocol));
+        DEBUG(SSSDBG_TRACE_INTERNAL, "Using protocol version [%d]\n",
+                                      protocol);
         break;
     default:
-        DEBUG(SSSDBG_FATAL_FAILURE, ("Invalid protocol version [%d]!\n",
-                                     protocol));
+        DEBUG(SSSDBG_FATAL_FAILURE, "Invalid protocol version [%d]!\n",
+                                     protocol);
         ret = EFAULT;
         goto done;
     }
@@ -215,7 +215,7 @@ static int sudosrv_cmd(enum sss_sudo_type type, struct cli_ctx *cli_ctx)
 
     sss_packet_get_body(cli_ctx->creq->in, &query_body, &query_len);
     if (query_len <= 0 || query_body == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Query is empty\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Query is empty\n");
         ret = EINVAL;
         goto done;
     }
@@ -247,8 +247,8 @@ static void sudosrv_cmd_parse_query_done(struct tevent_req *req)
                                    &cmd_ctx->username, &cmd_ctx->domain);
     talloc_zfree(req);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Invalid query [%d]: %s\n",
-                                    ret, strerror(ret)));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Invalid query [%d]: %s\n",
+                                    ret, strerror(ret));
         goto done;
     }
 
@@ -256,14 +256,14 @@ static void sudosrv_cmd_parse_query_done(struct tevent_req *req)
 
     switch (cmd_ctx->type) {
         case SSS_SUDO_DEFAULTS:
-            DEBUG(SSSDBG_FUNC_DATA, ("Requesting default options "
+            DEBUG(SSSDBG_FUNC_DATA, "Requesting default options "
                   "for [%s] from [%s]\n", cmd_ctx->username,
-                  cmd_ctx->domain ? cmd_ctx->domain->name : "<ALL>"));
+                  cmd_ctx->domain ? cmd_ctx->domain->name : "<ALL>");
             break;
         case SSS_SUDO_USER:
-            DEBUG(SSSDBG_FUNC_DATA, ("Requesting rules "
+            DEBUG(SSSDBG_FUNC_DATA, "Requesting rules "
                   "for [%s] from [%s]\n", cmd_ctx->username,
-                  cmd_ctx->domain ? cmd_ctx->domain->name : "<ALL>"));
+                  cmd_ctx->domain ? cmd_ctx->domain->name : "<ALL>");
             break;
     }
 
diff --git a/src/responder/sudo/sudosrv_dp.c b/src/responder/sudo/sudosrv_dp.c
index 3cd8fe8..483533c 100644
--- a/src/responder/sudo/sudosrv_dp.c
+++ b/src/responder/sudo/sudosrv_dp.c
@@ -99,8 +99,8 @@ sss_dp_get_sudoers_send(TALLOC_CTX *mem_ctx,
     talloc_free(key);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Could not issue DP request [%d]: %s\n",
-               ret, strerror(ret)));
+              "Could not issue DP request [%d]: %s\n",
+               ret, strerror(ret));
         goto error;
     }
 
@@ -144,14 +144,14 @@ sss_dp_get_sudoers_msg(void *pvt)
                                        DP_INTERFACE,
                                        DP_METHOD_SUDOHANDLER);
     if (msg == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory?!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory?!\n");
         return NULL;
     }
 
     /* create the message */
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Creating SUDOers request for [%s][%u][%s][%u]\n",
-           info->dom->name, be_type, info->name, info->num_rules));
+          "Creating SUDOers request for [%s][%u][%s][%u]\n",
+           info->dom->name, be_type, info->name, info->num_rules);
 
     dbus_message_iter_init_append(msg, &iter);
 
@@ -172,8 +172,8 @@ sss_dp_get_sudoers_msg(void *pvt)
         for (i = 0; i < info->num_rules; i++) {
             ret = sysdb_attrs_get_string(info->rules[i], SYSDB_NAME, &rule_name);
             if (ret != EOK) {
-                DEBUG(SSSDBG_OP_FAILURE, ("Could not get rule name [%d]: %s\n",
-                      ret, strerror(ret)));
+                DEBUG(SSSDBG_OP_FAILURE, "Could not get rule name [%d]: %s\n",
+                      ret, strerror(ret));
                 goto fail;
             }
 
@@ -188,7 +188,7 @@ sss_dp_get_sudoers_msg(void *pvt)
     return msg;
 
 fail:
-    DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to build message\n"));
+    DEBUG(SSSDBG_CRIT_FAILURE, "Failed to build message\n");
     dbus_message_unref(msg);
     return NULL;
 }
